javax.swing.undo

## Interface StateEditable

-     public interface StateEditable

  StateEditable defines the interface for objects that can have their state undone/redone by a StateEdit.
  See Also:
    `StateEdit`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RCSID` Resource ID for this class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `restoreState(Hashtable<?,?> state)` Upon receiving this message the receiver should extract any relevant state out of state.
    `void` | `storeState(Hashtable<Object,Object> state)` Upon receiving this message the receiver should place any relevant state into state.

- - ### Field Detail

    - #### RCSID

          static final String RCSID

      Resource ID for this class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### storeState

          void storeState(Hashtable<Object,Object> state)

      Upon receiving this message the receiver should place any relevant state into state.

    - #### restoreState

          void restoreState(Hashtable<?,?> state)

      Upon receiving this message the receiver should extract any relevant state out of state.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.